## GtkRecentChooserDialog GtkRecentChooserDialog — Displays recently used files in a dialog |

## Functions

GtkWidget * | gtk_recent_chooser_dialog_new ()
GtkWidget * | gtk_recent_chooser_dialog_new_for_manager ()

## Types and Values

struct | GtkRecentChooserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GtkRecentChooserDialog

## Implemented Interfaces

GtkRecentChooserDialog implements AtkImplementorIface, GtkBuildable and GtkRecentChooser.

## Includes

    #include <gtk/gtk.h>

## Description

GtkRecentChooserDialog is a dialog box suitable for displaying the recently used documents. This widgets works by putting a GtkRecentChooserWidget inside a GtkDialog. It exposes the GtkRecentChooserIface interface, so you can use all the GtkRecentChooser functions on the recent chooser dialog as well as those for GtkDialog.

Note that GtkRecentChooserDialog does not have any methods of its own. Instead, you should use the functions that work on a GtkRecentChooser.

#### Typical usage

In the simplest of cases, you can use the following code to use a GtkRecentChooserDialog to select a recently used file:

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    GtkWidget *dialog;
    gint res;

    dialog = gtk_recent_chooser_dialog_new ("Recent Documents",
                                            parent_window,
                                            _("_Cancel"),
                                            GTK_RESPONSE_CANCEL,
                                            _("_Open"),
                                            GTK_RESPONSE_ACCEPT,
                                            NULL);

    res = gtk_dialog_run (GTK_DIALOG (dialog));
    if (res == GTK_RESPONSE_ACCEPT)
      {
        GtkRecentInfo *info;
        GtkRecentChooser *chooser = GTK_RECENT_CHOOSER (dialog);

        info = gtk_recent_chooser_get_current_item (chooser);
        open_file (gtk_recent_info_get_uri (info));
        gtk_recent_info_unref (info);
      }

    gtk_widget_destroy (dialog);

Recently used files are supported since GTK+ 2.10.

## Functions

### gtk_recent_chooser_dialog_new ()

    GtkWidget *
    gtk_recent_chooser_dialog_new (const gchar *title,
                                   GtkWindow *parent,
                                   const gchar *first_button_text,
                                   ...);

Creates a new GtkRecentChooserDialog. This function is analogous to `gtk_dialog_new_with_buttons()`.

#### Parameters

title | Title of the dialog, or `NULL`. | [allow-none]
parent | Transient parent of the dialog, or `NULL`,. | [allow-none]
first_button_text | stock ID or text to go in the first button, or `NULL`. | [allow-none]
... | response ID for the first button, then additional (button, id) pairs, ending with `NULL` |

#### Returns

a new GtkRecentChooserDialog

Since: 2.10

### gtk_recent_chooser_dialog_new_for_manager ()

    GtkWidget *
    gtk_recent_chooser_dialog_new_for_manager
                                   (const gchar *title,
                                    GtkWindow *parent,
                                    GtkRecentManager *manager,
                                    const gchar *first_button_text,
                                    ...);

Creates a new GtkRecentChooserDialog with a specified recent manager.

This is useful if you have implemented your own recent manager, or if you have a customized instance of a GtkRecentManager object.

#### Parameters

title | Title of the dialog, or `NULL`. | [allow-none]
parent | Transient parent of the dialog, or `NULL`,. | [allow-none]
manager | a GtkRecentManager |
first_button_text | stock ID or text to go in the first button, or `NULL`. | [allow-none]
... | response ID for the first button, then additional (button, id) pairs, ending with `NULL` |

#### Returns

a new GtkRecentChooserDialog

Since: 2.10

## Types and Values

### struct GtkRecentChooserDialog

    struct GtkRecentChooserDialog;

## See Also

GtkRecentChooser, GtkDialog